Bug 413511 - ctypes cannot find libraries in /usr/local/lib
ctypes cannot find libraries in /usr/local/lib
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-06 00:44 EST by Dwayne Bailey
Modified: 2009-01-09 00:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:26:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2007-12-06 00:44:18 EST
Description of problem:
Python's ctypes module is unable to access libraries that are stored in

Version-Release number of selected component (if applicable):
[dwayne@localhost lib]$ python --version
Python 2.5.1

How reproducible:
I have a custom compiled libgettextpo in /usr/local/lib but not in /usr/lib
running the script that follows produces the error

Steps to Reproduce:
1. Make sure you have a library in /usr/local/lib but not in /usr/lib
2. Run the following test script that does - find_library

from ctypes import *
lib_location = ctypes.util.find_library('gettextpo')
print lib_location

3. Run the following test script that does LoadLibrary

from ctypes import *
import ctypes.util
lib_location = ctypes.util.find_library('gettextpo')
gpo = cdll.LoadLibrary(lib_location)

4. Symblink the /us/local/lib/libgettextpo.so.0 to /usr/lib
5. Run the scripts again
Actual results:
First script succeeds with output of:

Indicating that it was able to find the library version in /usr/local/lib

The second fails with the following traceback:
Traceback (most recent call last):
  File "ctypes-test.py", line 7, in <module>
    gpo = cdll.LoadLibrary(lib_location)
  File "/usr/lib/python2.5/ctypes/__init__.py", line 423, in LoadLibrary
    return self._dlltype(name)
  File "/usr/lib/python2.5/ctypes/__init__.py", line 340, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: libgettextpo.so.0: cannot open shared object file: No such file or

Indicating that it couldn't find the library

Once the symlink step is executed loading and execution continue correctly.

Expected results:
A library in /usr/local/lib should simply load as expected.
Comment 1 Bug Zapper 2008-11-26 03:51:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 00:26:11 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.